summaryrefslogtreecommitdiff
path: root/test/run_tests.sh
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2021-04-15 10:18:59 +0200
committerToni Uhlig <matzeton@googlemail.com>2021-04-15 11:21:37 +0200
commita0fa598ceeceb5496d1b837ca8ff41bdad866a2f (patch)
treea6b8dbb37a0a0ed166cf29fa22a0f66e6f452fb1 /test/run_tests.sh
parent0c034ffba1bb1a74e09bb6a436fc6a4578d01ba2 (diff)
travis-ci build CMake project
Signed-off-by: Toni Uhlig <matzeton@googlemail.com>
Diffstat (limited to 'test/run_tests.sh')
-rwxr-xr-xtest/run_tests.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/run_tests.sh b/test/run_tests.sh
index 5c6e54c19..a19ec0408 100755
--- a/test/run_tests.sh
+++ b/test/run_tests.sh
@@ -68,6 +68,12 @@ mkdir -p /tmp/nDPId-test-stderr
set +e
TESTS_FAILED=0
+${nDPId_test_EXEC} -h 2>/dev/null
+if [ $? -ne 1 ]; then
+ printf '%s\n' "nDPId-test: ${nDPId_test_EXEC} seems to be an invalid executable"
+ exit 7
+fi
+
for pcap_file in $(ls *.pcap *.pcapng *.cap); do
if file "${pcap_file}" | grep -qoE ':\s(pcap|pcap-ng) capture file'; then
true # pass